Retrieve background report¶
| Method | GET |
| Path | /v1/reports/{check_id}{?t} |
Downloads the completed PDF report for a background check.
Use the signed checks[].report_pdf_url from
GET /v1/requests/{id}, or call this endpoint
directly with check_id and standard authentication headers.
Request¶
Headers¶
Parameters¶
| Name | Example / default | Required | Type | Description |
|---|---|---|---|---|
check_id |
a91b34c2-0000-0000-0000-000000000000 | Yes | string |
The public check ID (checks[].id in GET /v1/requests/{id}). |
t |
token_value |
No | string |
Signed token from report_pdf_url. Valid for 1 hour; allows access without authentication headers. |
Response¶
200 — application/pdf¶
Errors¶
| Status | status_message |
Description |
|---|---|---|
401 |
client_error |
Required authentication headers are missing or invalid, or the signed t token is invalid or expired. |
403 |
client_error |
The Xref user is not an active member of the organisation associated with the API key, the user cannot access the request's package, or is a Contributor and did not create the request. |
404 |
client_error |
The report could not be found, is not yet available, or is not associated with the organisation. |
429 |
client_error |
API key rate limit exceeded for requests using authentication headers. |
5xx |
server_error |
An internal server error occurred while retrieving the report. |
See Errors and status codes for more information.